Get a ruleset

View as Markdown

Gets information about a ruleset.

By default, the response only returns the ruleset’s metadata. To include ruleset contents in the response, pass the include query parameter.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

rulesetIdstringRequired
The ruleset's ID.

Query parameters

includeenumOptional

The related fields to include in the response. Currently only content is supported. Omit this parameter to receive only the resource’s metadata.

Allowed values:

Response

Successful Response
idstringOptional
The ruleset's ID.
namestringOptional
The ruleset's name.
descriptionstringOptional
The ruleset's description.
engineenumOptional
The governance engine the ruleset targets.
Allowed values:
formatenumOptional
The resource the ruleset governs.
Allowed values:
typeenumOptional

The ruleset’s type:

  • system — Rulesets managed by Postman (for example, the Postman standard and OWASP rulesets that ship with governance) and can’t be updated or deleted.
  • custom — Rulesets created and managed by your team.
Allowed values:
createdBystringOptional
The ID of the user who created the ruleset.
updatedBystringOptional
The ID of the user who last updated the ruleset.
createdAtdatetimeOptional
The date and time at which the ruleset was created.
updatedAtdatetimeOptional
The date and time at which the ruleset was last updated.
contentstringOptional

The ruleset’s content, up to a maximum of 500 KB (UTF-8).

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error